This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[build] Update Solaris 11 ld version number for dl_iterate_phdr


My testing for

	Use dl_iterate_phdr in Solaris 11+ unwinder
        http://gcc.gnu.org/ml/gcc-patches/2010-12/msg01690.html

has been with a prerelease version of Sun ld.  Now the build which
includes the necessary fixes has been released and the ld version number
is slightly different.  This patch updates gcc/configure.ac to reflect
this.  I had noticed the problem while testing on the previous build
that had the right version number, but didn't yet include the fixes.

Bootstrapped on i386-pc-solaris2.11 and sparc-sun-solaris2.11 without
regressions, installed.

	Rainer


2011-01-28  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac (gcc_cv_ld_eh_frame_hdr): Update minimal Sun ld
	version number.
	* configure: Regenerate.

diff -r 41c3ec8cc769 gcc/configure.ac
--- a/gcc/configure.ac	Fri Jan 28 13:12:13 2011 +0100
+++ b/gcc/configure.ac	Fri Jan 28 13:16:37 2011 +0100
@@ -4031,8 +4031,8 @@
   else
     case "$target" in
       *-*-solaris2*)
-        # Sun ld has various bugs in .eh_frame_hdr support before version 1.2249.
-        if test "$ld_vers_major" -gt 1 || test "$ld_vers_minor" -ge 2249; then
+        # Sun ld has various bugs in .eh_frame_hdr support before version 1.2251.
+        if test "$ld_vers_major" -gt 1 || test "$ld_vers_minor" -ge 2251; then
           gcc_cv_ld_eh_frame_hdr=yes
         fi
         ;;

-- 
-----------------------------------------------------------------------------
Rainer Orth, Center for Biotechnology, Bielefeld University


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]